# == Schema Information
#
# Table name: benchmark_infos
#
#  id                 :integer          not null, primary key
#  benchmark_class    :string(255)
#  benchmark_selector :string(255)
#  description        :text
#  created_at         :datetime
#  updated_at         :datetime
#

class BenchmarkInfo < ActiveRecord::Base

  has_many :benchmark_results, dependent: :destroy, inverse_of: :benchmark_info

  validates_presence_of :benchmark_class, :benchmark_selector

  def name
    "#{self.benchmark_class}>>#{self.benchmark_selector}"
  end

end
