class CompareQuery
  include ActiveModel::Model

  attr_accessor :benchmark_id, :runtimes

  def initialize(*args)
    super
    @runtimes ||= {}
  end

  def filtered_runtimes
    Runtime.where(id: runtimes_to_array_of_ids)
  end

  def benchmark_info
    BenchmarkInfo.find(benchmark_id)
  end

  private

  def runtimes_to_array_of_ids
    runtimes.keys
  end
end
